/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/

/* === 全站背景 === */
body {
  background-color: #163f99;
  background-position: center;
  background-size: 2400px;
}

/* === 固定背景圖 === */
.bgFixed {
  z-index: -1;
  position: fixed;
  background: url("../images/mainbg-none.png") no-repeat center top / 2200px
    auto;
  height: 100vh;
  width: 100%;
}

@media screen and (min-width: 2199px) {
  .bgFixed {
    background: url("../images/mainbg-none.png") no-repeat center top / cover;
  }
}

@media screen and (max-width: 767px) {
  .bgFixed {
    background: url("../images/mainbg-none.png") no-repeat center top / auto
      135vh;
  }
}

/* === 主區塊背景 === */
main {
  background: url(../images/topBn_bgrepeat.webp) repeat-x top center / 100% 100%;
  overflow: hidden;
  position: relative;
}

/* === 首圖區 === */
#kvTopBN {
  position: relative;
  background: url("../images/bgtop.jpg") no-repeat center top;
}

/* === KV 導覽點 === */
#kvTopBN2 .swiper-pagination {
  bottom: 25px;
}
@media (max-width: 991px) {
  #kvTopBN2 .swiper-pagination {
    bottom: 4%;
  }
}

/* === Swiper 分頁點樣式 === */
.swiper-pagination-bullet {
  background: #ffe100a9;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active {
  background: #ffe000;
}

/* === 發光文字效果 === */
.shineWord {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  text-align: center;
  background: transparent;
  z-index: 1;
  pointer-events: none;
  filter: brightness(1.5);
  mask-size: 500% 400%;
  mask-image: linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0) 40%,
    rgba(255, 255, 255, 1) 50%,
    rgba(255, 255, 255, 0) 60%
  );
  transition: mask-position 3s;
  transform: translate3d(0, 0, 0);
  animation: move 2s linear infinite;
}

@keyframes move {
  from {
    mask-position: 150% 0px;
  }
  to {
    mask-position: 0% 0px;
  }
}

/* === 按鈕區塊 === */
.btnset a {
  color: #193f99;
  border: 3px solid #193f99;
  background: #fff;
  box-shadow: 0 5px #ffff00;
  line-height: 1.2;
}
.btnset a:hover {
  color: #ffff00;
  border: 3px solid #ffffff;
  background: #193f99;
  box-shadow: 0 3px #ffff006a;
}

@media (max-width: 991px) {
  .btnset {
    font-size: 14px;
  }
}
@media (max-width: 425px) {
  .btnset {
    font-size: 12px;
  }
}

/* === 活動辦法區塊 === */
section#method {
  color: #fff;
}
section#method .container {
  background: #013b4aa4;
  padding: 10px 0;
  border-radius: 16px;
}
section#method a {
  color: #ffff00;
}
section#method a:hover {
  background: #ffff00;
  color: #013b4a;
  padding: 0 5px;
  border-radius: 24px;
}

/* === 頁尾區 === */
footer {
  position: relative;
  z-index: 999;
}

/* === 區塊樣式 === */
.nocarslideinnBox01 {
  background: #084b7d;
  padding: 10px;
}

.productSetprice .priceBox {
  flex-direction: row !important;
}

.logooutbox .logoinn {
  flex-basis: 11%;
}
@media screen and (max-width: 640px) {
  .logooutbox .logoinn {
    flex-basis: 24%;
  }
}

.squarepppinfoinn-box.pppinfobox {
  background: #075f9e;
  color: #fff;
  text-decoration: none;
}

/* === 活動表格 === */
@media screen and (max-width: 767px) {
  .actablebox {
    font-size: 14px;
  }
  .actablebox th.table-title {
    font-size: 1.2rem;
  }
}

/* === 特效：硬幣飛 === */
.flyCoins {
  z-index: 9;
  position: absolute;
  pointer-events: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../images/coins.png) repeat-y center top / 1450px;
}
@media (max-width: 767px) {
  .flyCoins {
    background: unset;
  }
}
.flyLeft,
.flyRight {
  z-index: 9;
  position: fixed;
  pointer-events: none;
  width: 25vw;
}
.flyLeft {
  top: 58vh;
  left: -10vw;
}
.flyRight {
  top: 20vh;
  right: -10vw;
}

/* === 滑鼠視差區塊 === */
.mouseParallax {
  position: fixed;
  width: 100vw;
  height: 100vh;
  bottom: -50vh;
  left: 0;
  background: #7f7f7f29;
}

/* === 雲朵圖層 === */
.cloud {
  position: absolute;
  top: 0;
  bottom: 0;
  width: auto;
  height: auto;
  z-index: 999;
  opacity: 0.8;
}

/* === 灑落金箔 === */
#gold {
  position: fixed;
  pointer-events: none;
  overflow: hidden;
  z-index: 8887;
}

/* for this page */
#kvTopBN2 .kvtitle {
  animation: flyUpDown 2s ease-in-out 1s infinite alternate both;
}

#kvTopBN2 .kvpdbg {
  position: absolute;
  width: 100%;
  height: 100%;
  top: -5%;
  left: 0;
  pointer-events: none;
}

@media (max-width: 767px) {
  #kvTopBN2 .kvpdbg {
    display: block;
  }

  #kvTopBN2 .kvbg {
    background-image: url("../images/kvpdbgbig-mb.png");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: top center;
  }
}

.lightset {
  position: absolute;
  width: 100%;
  height: auto;
  top: 50%;
  left: 43.5%;
  transform: translate(-50%, -50%);
  pointer-events: none;
}

.light {
  position: absolute;
  width: 100%;
  height: auto;
  top: 50%;
  left: 43.5%;
  transform: translate(-50%, -50%) scale(1.2);
  pointer-events: none;
  mix-blend-mode: lighten;
  animation: shineSuddenly 3s ease-in -1s infinite both;
}

@keyframes flyUpDown {
  0% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(-20px);
  }
}

@keyframes shineSuddenly {
  0% {
    filter: brightness(1);
  }
  50% {
    filter: brightness(2);
    opacity: 0.3;
  }

  100% {
    filter: brightness(1);
  }
}

@media (max-width: 767px) {
  @keyframes flyUpDown {
    0% {
      transform: translateY(3px);
    }
    100% {
      transform: translateY(-5px);
    }
  }
}

.bd-baseball {
  border: 4px solid #c3efff;
  box-shadow: 5px 5px inset #c1dff245;
  border-radius: 30px;
  background: linear-gradient(to bottom, #43d0ff6d, #6dabff6d);
  overflow: hidden;
}

@media (max-width: 767px) {
  .bd-baseball {
    border: 3px solid #c3efff;
    box-shadow: 3px 3px inset #c1dff245;
    border-radius: 12px;
    background: linear-gradient(to bottom, #43d0ff6d, #6dabff6d);
    overflow: hidden;
  }
}

/* 炸物 */
.bgfried {
  background-image: url("../images/bgfried.png");
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
}

/* 零食/飲料 */
.bgpd01 {
  background-image: url("../images/bgpd01.png");
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
}

.bgpd02 {
  background-image: url("../images/bgpd02.png");
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
}

.bgpd03 {
  background-image: url("../images/bgpd03.png");
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
}
